package pack

import (
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpProjectTaskRequestToCondition(req *http_model.ProjectTaskListRequest) *common_model.TaskConditions {
	return &common_model.TaskConditions{
		SProjectId:       req.SProjectId,
		ProjectId:        req.ProjectId,
		TaskStatus:       conv.MustInt64(req.TaskStatus),
		StrategyId:       conv.MustInt64(req.StrategyId),
		TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
		SupplierStatus:   req.SupplierStatus,
	}
}
